/**
 * Created by zhang on 2018/9/3.
 */

const express = require("express");
const router = express.Router();
const { priceInfoClassController } = require('../controllers/index');

module.exports = function (app) {
    router.get("/main", priceInfoClassController.auth, priceInfoClassController.init, priceInfoClassController.main);
    router.post("/getPagingData", priceInfoClassController.auth, priceInfoClassController.init, priceInfoClassController.getPagingData);
    router.post("/editClassData", priceInfoClassController.auth, priceInfoClassController.init, priceInfoClassController.editClassData);
    router.get("/export", priceInfoClassController.auth, priceInfoClassController.init, priceInfoClassController.exportClassData);


    app.use("/priceInfoClass", router);
};


